Packages - Freedom Issue #3259

[archboot][archboot-arm][archboot-bootloader][archboot-gemu-aarch64] Installer for Arch

GNU+Linux and Arch32 GNU+Linux
2022-04-25 03:29 PM - gap

Status: fixed % Done: 0%
Priority: freedom issue

Assignee: bill-auger

Category:

Description

... which are both non-libre distros.

History

#1 - 2022-04-25 03:30 PM - gap

If we want to clean up this package it would also have to be rebranded.

#2 - 2022-04-26 10:31 AM - bill-auger
- Priority changed from bug to freedom issue

- Status changed from unconfirmed to confirmed

it is not actually an installer - it is an image builder - it is not needed - 'parabola-vmbootstrap’ does the same
also related to this package:

e extra/archboot-arm 2022.04-38

Advanced, modular arch boot/install image creation utility with aarch64 depends
e extra/archboot-bootloader 20220329-1

EFI bootloaders for archboot images
e extra/archboot-gemu-aarch64 6.2.0-2

Static gemu helper for aarch64 iso building

also 'archboot' which is already blacklisted (with no BR reference) - using this as blacklist reference for all of them
the 'archboot' blacklist entry is currently:

requires isdn4k-utils (for which there is a free replacement that is unpackaged)

i just deleted that - there is no point is ever rescuing this package

#3 - 2022-04-26 10:56 AM - bill-auger
- Assignee set to bill-auger
- Status changed from confirmed to in progress

- Subject changed from [archboot-arm] Installer for Arch GNU+Linux and Arch32 GNU+Linux to

[archboot][archboot-arm][archboot-bootloader]farchboot-qgemu-aarch64] Installer for Arch GNU+Linux and Arch32 GNU+Linux

#4 - 2022-04-26 10:56 AM - bill-auger

- Status changed from in progress to fixed
